Jack2: _jack_position Struct Reference

Jack2 1.9.21

Public Attributes | List of all members
_jack_position Struct Reference

## Public Attributes
jack_unique_t | unique_1
jack_time_t | usecs
jack_nframes_t | frame_rate
jack_nframes_t | frame
jack_position_bits_t | valid
int32_t | bar
int32_t | beat
int32_t | tick
double | bar_start_tick
float | beats_per_bar
float | beat_type
double | ticks_per_beat
double | beats_per_minute
double | frame_time
double | next_time
jack_nframes_t | bbt_offset
float | audio_frames_per_video_frame
jack_nframes_t | video_offset
double | tick_double
int32_t | padding [5]
jack_unique_t | unique_2

## Detailed Description

Definition at line 558 of file types.h.

## Member Data Documentation

## ◆ unique_1

jack_unique_t _jack_position::unique_1

unique ID

Definition at line 561 of file types.h.

## ◆ usecs

jack_time_t _jack_position::usecs

monotonic, free-rolling

Definition at line 562 of file types.h.

## ◆ frame_rate

jack_nframes_t _jack_position::frame_rate

current frame rate (per second)

Definition at line 563 of file types.h.

## ◆ frame

jack_nframes_t _jack_position::frame

frame number, always present

Definition at line 564 of file types.h.

## ◆ valid

jack_position_bits_t _jack_position::valid

which other fields are valid

Definition at line 566 of file types.h.

## ◆ bar

int32_t _jack_position::bar

current bar

Definition at line 569 of file types.h.

## ◆ beat

int32_t _jack_position::beat

current beat-within-bar

Definition at line 570 of file types.h.

## ◆ tick

int32_t _jack_position::tick

current tick-within-beat

Definition at line 571 of file types.h.

## ◆ bar_start_tick

double _jack_position::bar_start_tick

Definition at line 572 of file types.h.

## ◆ beats_per_bar

float _jack_position::beats_per_bar

time signature "numerator"

Definition at line 574 of file types.h.

## ◆ beat_type

float _jack_position::beat_type

time signature "denominator"

Definition at line 575 of file types.h.

## ◆ ticks_per_beat

double _jack_position::ticks_per_beat

Definition at line 576 of file types.h.

## ◆ beats_per_minute

double _jack_position::beats_per_minute

Definition at line 577 of file types.h.

## ◆ frame_time

double _jack_position::frame_time

current time in seconds

Definition at line 580 of file types.h.

## ◆ next_time

double _jack_position::next_time

next sequential frame_time (unless repositioned)

Definition at line 581 of file types.h.

## ◆ bbt_offset

jack_nframes_t _jack_position::bbt_offset

frame offset for the BBT fields (the given bar, beat, and tick values actually refer to a time frame_offset frames before the start of the cycle), should be assumed to be 0 if JackBBTFrameOffset is not set. If JackBBTFrameOffset is set and this value is zero, the BBT time refers to the first frame of this cycle. If the value is positive, the BBT time refers to a frame that many frames before the start of the cycle.

Definition at line 585 of file types.h.

## ◆ audio_frames_per_video_frame

float _jack_position::audio_frames_per_video_frame

number of audio frames per video frame. Should be assumed zero if JackAudioVideoRatio is not set. If JackAudioVideoRatio is set and the value is zero, no video data exists within the JACK graph

Definition at line 602 of file types.h.

## ◆ video_offset

jack_nframes_t _jack_position::video_offset

audio frame at which the first video frame in this cycle occurs. Should be assumed to be 0 if JackVideoFrameOffset is not set. If JackVideoFrameOffset is set, but the value is zero, there is no video frame within this cycle.

Definition at line 609 of file types.h.

## ◆ tick_double

double _jack_position::tick_double

current tick-within-beat in double resolution. Should be assumed zero if JackTickDouble is not set. Since older versions of JACK do not expose this variable, the macro JACK_TICK_DOUBLE is provided, which can be used as build-time detection.

Definition at line 618 of file types.h.

## ◆ padding

int32_t _jack_position::padding[5]

Definition at line 627 of file types.h.

## ◆ unique_2

jack_unique_t _jack_position::unique_2

unique ID

Definition at line 630 of file types.h.

The documentation for this struct was generated from the following file:

- types.h